### Method

# Foundry DiagnosticManager diagnose_files

#### Declaration [src]

    DexFuture*
    foundry_diagnostic_manager_diagnose_files (
      FoundryDiagnosticManager* self,
      GFile** files,
      guint n_files
    )

#### Description

No description available.

#### Parameters

`files`

  Type: An array of `GFile*`

  An array of `GFile`.

  The length of the array is specified in the `n_files` argument.
  The data is owned by the caller of the method.

`n_files`

  Type: `guint`

  Number of `files`.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.